Twilio Anypoint Connector Demo - SMS CRUD
=================================================================

## Introduction

The present demo is a **RAML-based** application that provides a **complete workflow** to sequentially invoke some of Twilio's standard operations for **SMS messages**.

## Prerequisites

* Java 7
* Anypoint Studio 6.x
* Mule Runtime 3.8.x EE or higher
* APIKit
* DataWeave
* Access to a Twilio account

## Import the project

* Go to **File > Import**
* Select **Anypoint Studio Project from External Location** (under the parent folder "Anypoint Studio")
* Provide the root **path to the demo** project folder.
* Select **Mule Runtime (3.8.x EE)**.
* Click **Finish**.
* Set credentials inside the file `src/main/app/mule-app.properties`.
    ```
    twilio.accountSid=
    twilio.authToken=
    twilio.apiUrl= (optional)
    ```

* Open the **Global Element Configuration**.

    ![Global Element](images/twilio-config.png)

* Click the **Test Connection** button to ensure there is connectivity with the sandbox. A successful message should pop-up.

* Open a browser and access the URL **http://localhost:8081/console**. You should see the application deployed in the API Console:

    ![Demo Index](images/twilio-ui.png)

## Run the demo

### Get Message

![Get Message](images/twilio-ui-get-message.png)

* Click on the **GET** button of the `messages/{messageSid}` endpoint to display the form.
* Provide a value for the query parameter **Message SID**.
* Click **GET** and wait a few moments to finish processing.
* If successfully found, the details of the message will be displayed in the **Response** tab.

    ![Message Details](images/twilio-ui-get-message-details.png)

## See more

* For additional technical information on the Twilio Connector, visit our [technical reference documentation](http://mulesoft.github.io/twilio-connector) or refer to the [Twilio Documentation Site](https://docs.mulesoft.com/mule-user-guide/v/3.8/twilio-connector).
* For more information on Twilio, go to the [Twilio REST API site](https://www.twilio.com/docs/api/rest).